org.codehaus.plexus.metadata.ann

## Class AnnField

- java.lang.Object
- - org.codehaus.plexus.metadata.ann.AnnField

    public class AnnField
    extends java.lang.Object

Author:
  Eugene Kuleshov

### Constructor Summary

Constructors
Constructor and Description
`AnnField(AnnClass owner, int access, java.lang.String name, java.lang.String desc)`

### Method Summary

Methods
`void` `addAnn(Ann ann)`
`int` `getAccess()`
`<T> T` `getAnnotation(java.lang.Class<T> c)`
`java.util.Map<java.lang.String,Ann>` `getAnns()`
`java.lang.String` `getDesc()`
`java.lang.String` `getName()`
`java.lang.String` `getType()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AnnField

    public AnnField(AnnClass owner,
            int access,
            java.lang.String name,
            java.lang.String desc)

### Method Detail

#### getAccess

    public int getAccess()

#### getName

    public java.lang.String getName()

#### getDesc

    public java.lang.String getDesc()

#### getAnns

    public java.util.Map<java.lang.String,Ann> getAnns()

#### getType

    public java.lang.String getType()

#### addAnn

    public void addAnn(Ann ann)

#### getAnnotation

    public <T> T getAnnotation(java.lang.Class<T> c)